# lab2_RawData.R
# command file for reading in the PsyScope
# edited data file to tabulate the response
# frequencies for RscorePlus
# The file should have been edited to replace the column
# header "Condition" with "Gender Target Eyes"

fn <- file.choose()
df <- read.table(fn, header = TRUE, skip = 15)

# make data frame with just the rating trials data
df.rec <- df[ 65:192, ]

# remove the [N/A] level from the key column
levels(df.rec$key) <- c("[1]", "[2]", "[3]", "[4]", "[5]", "[6]", NA)

# Add new column called "Signal" for the SDT analysis
df.rec <- cbind(df.rec, Signal = df.rec$Eyes)

# add a new level to the factor "Signal" and call it "New"
df.rec[, "Signal"] <- factor(df.rec[, "Signal"], levels=c("New", "NoEyes", "Eyes"))

# now set all the new face signal trials to "New"
df.rec[df.rec$Target=="new", "Signal"] <- "New"

# compute frequency contingency tables
tab.rec <- with(df.rec, table(Signal, key))